Debian Bug report logs - #655413
ipython-notebook: Wrong link for saved notebooks

version graph

Package: ipython-notebook; Maintainer for ipython-notebook is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for ipython-notebook is src:ipython.

Reported by: Yannick Roehlly <yannick.roehlly@free.fr>

Date: Tue, 10 Jan 2012 22:24:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version ipython/0.12-1

Fixed in version ipython/0.12.1+dfsg-1

Done: Julian Taylor <jtaylor.debian@googlemail.com>

Bug is archived. No further changes may be made.

Forwarded to https://github.com/ipython/ipython/issues/1254

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#655413; Package ipython-notebook. (Tue, 10 Jan 2012 22:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yannick Roehlly <yannick.roehlly@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 10 Jan 2012 22:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yannick Roehlly <yannick.roehlly@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ipython-notebook: Wrong link for saved notebooks
Date: Tue, 10 Jan 2012 23:21:16 +0100
Package: ipython-notebook
Version: 0.12-1
Severity: normal

Hi,

Thanks for packaging this new ipython version with the notebook feature.

In the first notebook page, the one listing the saved notebooks, the link
to each notebook has 'undefined' appended before the uid of the netbook
making these links invalid.

To reproduce this bug, just launch "ipython notebook" and create a new
notebook. Then go back to the notebook list and click on the corresponding
link → error 404. The notebook can be accessed removing 'undefined' from
the URL.

Yannick

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ipython-notebook depends on:
ii  ipython          0.12-1
ii  libjs-jquery     1.7.1-1
ii  libjs-jquery-ui  1.8.ooops.16+dfsg-1
ii  python           2.7.2-9
ii  python-tornado   2.1.0-1
ii  python-zmq       2.1.10-2
ii  python2.6        2.6.7-4
ii  python2.7        2.7.2-9

Versions of packages ipython-notebook recommends:
ii  libjs-mathjax  1.1-1

ipython-notebook suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#655413; Package ipython-notebook. (Tue, 10 Jan 2012 22:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 10 Jan 2012 22:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 655413@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: Yannick Roehlly <yannick.roehlly@free.fr>
Cc: 655413@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#655413: ipython-notebook: Wrong link for saved notebooks
Date: Tue, 10 Jan 2012 23:56:08 +0100
[Message part 1 (text/plain, inline)]
On 01/10/2012 11:21 PM, Yannick Roehlly wrote:
> Package: ipython-notebook
> Version: 0.12-1
> Severity: normal
> 
> Hi,
> 
> Thanks for packaging this new ipython version with the notebook feature.
> 
> In the first notebook page, the one listing the saved notebooks, the link
> to each notebook has 'undefined' appended before the uid of the netbook
> making these links invalid.
> 
> To reproduce this bug, just launch "ipython notebook" and create a new
> notebook. Then go back to the notebook list and click on the corresponding
> link → error 404. The notebook can be accessed removing 'undefined' from
> the URL.
>

I can't reproduce that issue.
Which browser are you using? to my knowledge only firefox and chrome are
properly supported.

Is there any console output (tools -> webdevelopper -> console, ctrl+
shift +k on firefox)

what is the content of the <body> tag in the html source.
It should be something like this:

<body
data-project=/home/user/notebookdir/
data-base-project-url=/
data-base-kernel-url=/
>

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#655413; Package ipython-notebook. (Wed, 11 Jan 2012 00:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yannick Roehlly <yannick.roehlly@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 11 Jan 2012 00:15:09 GMT) Full text and rfc822 format available.

Message #15 received at 655413@bugs.debian.org (full text, mbox):

From: Yannick Roehlly <yannick.roehlly@free.fr>
To: Julian Taylor <jtaylor.debian@googlemail.com>
Cc: 655413@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#655413: ipython-notebook: Wrong link for saved notebooks
Date: Wed, 11 Jan 2012 00:59:01 +0100
Hi Julian,

Thanks for the answer.

Le Tuesday 10 January 2012 23:56:08 Julian Taylor, vous avez écrit :
> I can't reproduce that issue.
> Which browser are you using? to my knowledge only firefox and chrome are
> properly supported.

I have the problem with both.

> what is the content of the <body> tag in the html source.
> It should be something like this:
> 
> <body
> data-project=/home/user/notebookdir/
> data-base-project-url=/
> data-base-kernel-url=/

That's what I have. But I've found the problem. It's in line 115 of 

 /usr/share/pyshared/IPython/frontend/html/notebook/static/js/notebooklist.js

It is:

  attr('href', $('body').data('baseProjectURL')+notebook_id).

but it should be:

  attr('href', $('body').data('baseProjectUrl')+notebook_id).

note the lower case at the end of baseProjectUrl. Correcting this makes the 
notebook work here.

Regards,

Yannick

-- 
"Life, loathe it or ignore it, you can't like it."
		-- Marvin, "Hitchhiker's Guide to the Galaxy"




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#655413; Package ipython-notebook. (Wed, 11 Jan 2012 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 11 Jan 2012 08:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 655413@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 655413@bugs.debian.org
Date: Wed, 11 Jan 2012 09:18:20 +0100
[Message part 1 (text/plain, inline)]
forwarded 655413 https://github.com/ipython/ipython/issues/1254
thx

thanks for debugging the issue.
[Message part 2 (text/html, inline)]

Set Bug forwarded-to-address to 'https://github.com/ipython/ipython/issues/1254'. Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Wed, 11 Jan 2012 08:33:09 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 23 Feb 2012 16:42:43 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from jtaylor-guest@users.alioth.debian.org to control@bugs.debian.org. (Sat, 14 Apr 2012 13:42:16 GMT) Full text and rfc822 format available.

Reply sent to Julian Taylor <jtaylor.debian@googlemail.com>:
You have taken responsibility. (Sat, 05 May 2012 22:36:07 GMT) Full text and rfc822 format available.

Notification sent to Yannick Roehlly <yannick.roehlly@free.fr>:
Bug acknowledged by developer. (Sat, 05 May 2012 22:36:07 GMT) Full text and rfc822 format available.

Message #31 received at 655413-close@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 655413-close@bugs.debian.org
Subject: Bug#655413: fixed in ipython 0.12.1+dfsg-1
Date: Sat, 05 May 2012 22:32:48 +0000
Source: ipython
Source-Version: 0.12.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
ipython, which is due to be installed in the Debian FTP archive:

ipython-doc_0.12.1+dfsg-1_all.deb
  to main/i/ipython/ipython-doc_0.12.1+dfsg-1_all.deb
ipython-notebook_0.12.1+dfsg-1_all.deb
  to main/i/ipython/ipython-notebook_0.12.1+dfsg-1_all.deb
ipython-qtconsole_0.12.1+dfsg-1_all.deb
  to main/i/ipython/ipython-qtconsole_0.12.1+dfsg-1_all.deb
ipython3-qtconsole_0.12.1+dfsg-1_all.deb
  to main/i/ipython/ipython3-qtconsole_0.12.1+dfsg-1_all.deb
ipython3_0.12.1+dfsg-1_all.deb
  to main/i/ipython/ipython3_0.12.1+dfsg-1_all.deb
ipython_0.12.1+dfsg-1.debian.tar.gz
  to main/i/ipython/ipython_0.12.1+dfsg-1.debian.tar.gz
ipython_0.12.1+dfsg-1.dsc
  to main/i/ipython/ipython_0.12.1+dfsg-1.dsc
ipython_0.12.1+dfsg-1_all.deb
  to main/i/ipython/ipython_0.12.1+dfsg-1_all.deb
ipython_0.12.1+dfsg.orig.tar.gz
  to main/i/ipython/ipython_0.12.1+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 655413@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Taylor <jtaylor.debian@googlemail.com> (supplier of updated ipython package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 05 May 2012 22:30:58 +0200
Source: ipython
Binary: ipython ipython3 ipython-qtconsole ipython3-qtconsole ipython-notebook ipython-doc
Architecture: source all
Version: 0.12.1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Julian Taylor <jtaylor.debian@googlemail.com>
Description: 
 ipython    - enhanced interactive Python shell
 ipython-doc - enhanced interactive Python shell - Documentation
 ipython-notebook - interactive Python html notebook
 ipython-qtconsole - enhanced interactive Python shell - Qt console
 ipython3   - enhanced interactive Python 3 shell
 ipython3-qtconsole - enhanced interactive Python 3 shell - Qt console
Closes: 653650 655413 663256 665224 671315
Changes: 
 ipython (0.12.1+dfsg-1) unstable; urgency=low
 .
   * New upstream release (Closes: #655413, #663256)
     Repackaged to remove minified javascript files from source.
   * add get-orig-source target to rules
   * ipython-notebook: depend on libjs-mathjax instead of recommending.
     mathjax can't be securely served from cloudfront.
   * debian/rules: delete build directory in clean (Closes: #671315)
   * remove transitional ipython-parallel package
   * set HOME to build folder for doc build and tests (Closes: #665224)
   * move all examples to ipython-doc
   * move python-argparse to suggests (Closes: #653650)
   * update standard version to 3.9.3, no changes needed
   * override lintian desktop-command-not-in-package
   * remove python-pymongo build dep, tests skipped without running mongod
Checksums-Sha1: 
 09dcf02d2072c8550341dab09b1716a8c338c985 2654 ipython_0.12.1+dfsg-1.dsc
 1797a54121505514d67dda789ce01b8ad312e4d7 4516585 ipython_0.12.1+dfsg.orig.tar.gz
 006320def4542227ede21a8582136b66a744d8c8 18711 ipython_0.12.1+dfsg-1.debian.tar.gz
 72faa098a788efe15be4c02f42fd556cddd9ae1b 638670 ipython_0.12.1+dfsg-1_all.deb
 6f2c27a297aa8b46350a0dac601076e1cf34381b 655640 ipython3_0.12.1+dfsg-1_all.deb
 198de3e22108cecb118bf7efb2a92a9dbd285ca2 81022 ipython-qtconsole_0.12.1+dfsg-1_all.deb
 e46b1e660fd8973140fb68c537b76994ace11378 79134 ipython3-qtconsole_0.12.1+dfsg-1_all.deb
 12dd2a129125d34a7c5b00f59b0d07f583c4069f 232054 ipython-notebook_0.12.1+dfsg-1_all.deb
 ac630ad74cae512c79801ad40d46aa1d590c192e 4077568 ipython-doc_0.12.1+dfsg-1_all.deb
Checksums-Sha256: 
 a5f0ca1a6586761c9551563dfc5fb753733193894df09cca738f80cd1f941db5 2654 ipython_0.12.1+dfsg-1.dsc
 422764f6e317905b6dc57d328067cde6ff9699a981d28ef30e96ebd38c663bc6 4516585 ipython_0.12.1+dfsg.orig.tar.gz
 ce2961e8d8d59f4d84e27b9ab2a8695abcf6a399007c07f5be3889dcea7e58a0 18711 ipython_0.12.1+dfsg-1.debian.tar.gz
 e68fc20e340dc4a433b648b59047c4f5ef5ac351364d5e910075bd9cc7f836f8 638670 ipython_0.12.1+dfsg-1_all.deb
 80bc34086ffc5d2e49e6846c2a000ef85fe12bd9684a8861724803d5012119da 655640 ipython3_0.12.1+dfsg-1_all.deb
 f89941635dbd3d3104864d8439aaeda98f766b659d64c37fe94a1d292fbf9002 81022 ipython-qtconsole_0.12.1+dfsg-1_all.deb
 3892148990c662d3ebb2683c18375fc9f7ca211a90c1268ebc9e9e25cb24f98e 79134 ipython3-qtconsole_0.12.1+dfsg-1_all.deb
 7f69c50b54d111b77ece66de8f72e41daead8ce8cfbcc1c7306ebe12b5fa8da7 232054 ipython-notebook_0.12.1+dfsg-1_all.deb
 0f87efa50239a57a1e0bbfb91402bde952912a1f6086452b6128a239ae06624b 4077568 ipython-doc_0.12.1+dfsg-1_all.deb
Files: 
 ad37cbc759b5a92c501dde28cda065fd 2654 python optional ipython_0.12.1+dfsg-1.dsc
 1ae6cc35d2c18e27a158221a321522bd 4516585 python optional ipython_0.12.1+dfsg.orig.tar.gz
 73c25ebb2ea402e72df859fae441c213 18711 python optional ipython_0.12.1+dfsg-1.debian.tar.gz
 52d2fdee53d141d7b38bd36511234c27 638670 python optional ipython_0.12.1+dfsg-1_all.deb
 ab67cfc320c0d726578be7a89543b4ce 655640 python optional ipython3_0.12.1+dfsg-1_all.deb
 4f009eab7d26d88108cb4c52e24ec400 81022 python optional ipython-qtconsole_0.12.1+dfsg-1_all.deb
 da693fffbb312e8a56d3096acbe095bd 79134 python optional ipython3-qtconsole_0.12.1+dfsg-1_all.deb
 d83a058825f1bedae02a870938d8667e 232054 python optional ipython-notebook_0.12.1+dfsg-1_all.deb
 8149f08728362e6298e0570a429daac7 4077568 doc optional ipython-doc_0.12.1+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPpamgAAoJEOs2Fxpv+UNfiuMP/19Ed+DpdhnUnEud+yTRniot
18i15yTuMGxqmUImSHBOrlEA1RfBo19ZOegMhJeJeQM7IIpOcOq4Bn11RTuHf+3b
9athrUYYJUSi0AAjQsVXy5kM2M5byRAPQMG/jT40pAMXSl1uOBMwq/eGBiiIg2Ii
COkz07lYo7tRgS8tLUhskJAgysFyH2VSL5n02B9XfwlRhk6shNFiW6HkLA9Mhq+1
6TPiCjkpYe5ev5q9MCCJ7+qVAilXcrQYtdc8C7cHWD9Fdsu8Hfd2sKdxqUFeGbC1
lUCq6YHqAzEKJGGWoQlbKokzX90a5GDb9Icwf3iOIjtKHS3v5FQJftyevBTps55g
o9uc8cASeQd6eLCcDh9xykWN5mv4wSJag/19uvnlS4yNJ/bSjFOXzUha3bKZIIKA
5pETcoqZzkZcI7HMMg/ChcrH2y1pfQhRj3aLoqXCvaV75/qIHXULWd15GcFW6+0M
uHPfoQWv/ZjcFbxX8T0WmxNFuOTGtPc4QIOdj8j2+fDx1ye+bZkhBiJSH3jmoYMQ
gyIWcs35g8w+YhBb3W/QVYKKYW4sy7b8+nvleT+tVoKcrx1gpcsW6Dz/YOtCaLVU
ZkwnOYIaccri5tZ1OMYKieZOKumHYGo7c5rQ5X+cTo7Y7epw0bKrFXpdvEjTJjmo
FtRIxf9VaCAkF+fR+uF9
=Z7G+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Jun 2012 07:34:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:20:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.